<template>
  <div class="home">
    <img alt="Vue logo" src="../../assets/logo.png">
    <HelloWorld msg="Welcome to Your Vue.js App"/>
    <button type="button" @click="goToAbout" style="color: red">Go to about</button>
  </div>
</template>

<script>
// @ is an alias to /src
import HelloWorld from '@/components/HelloWorld.vue'

export default {
  name: 'home',
  components: {
    HelloWorld
  },

  methods: {
    getRoute() {
      console.log(this.$route); /* в свойстве $route находится данные об текущем роуте */
      // this.$router - с ним можна управлять програмно навигацией

    },
    goToAbout() {
      /* push - добавляет новую запись в историю браузера, что дает возможность использовать кнопки браузера вперед/наазад */
      this.$router.push('about')
      /*
      Возможные варианты параметров для перехода
      * .$router.push({ path: '/about' })
      * .$router.push({ name: 'about', params: { someParams: '123' }})
      * .$router.push({ path: '/about', query: { someParams: 'private' } })
      * .$router.push({})
      * */

      /*
      * доп методы
      *    $router.replace('about') - отличается от push тем что перезаписывает текущую запись в истории
      *    $router.go(n) - принимает число, число является шагом(ами) по истории. (наподоби браузерных кнопок назад/вперед, только можно задать количество шагов)
      * */
    }
  },
}
</script>
